declare function antDesignVue1(): {
    uiName: string;
    map: ({
        name: string;
        props: {
            ":offsetBottom": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":offsetTop": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":target": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            ":afterClose": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            banner: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            closable: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":closeText": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":description": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":icon": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":message": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            showIcon: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            type: {
                value: string[];
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            affix: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":bounds": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":getContainer": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":getCurrentAnchor": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":offsetBottom": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":offsetTop": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            showInkInFixed: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":targetOffset": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            wrapperClass: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":wrapperStyle": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
        };
        methods: never[];
        typeDetail: {
            AnchorItem: {
                name: string;
                description: string;
                type: string;
            }[];
        };
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            allowClear: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            autofocus: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            backfill: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            default: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            defaultActiveFirstOption: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            defaultOpen: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            disabled: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":dropdownMenuStyle": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":filterOption": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            open: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            placeholder: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            "v-model": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
                required: boolean;
            };
            ":optionLabelProp": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":defaultValue": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":dataSource": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
        };
        methods: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            ":target": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":visibilityHeight": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            itemRender: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":params": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            routes: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            separator: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        suggestions: string[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            href: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":overlay": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {};
        methods: never[];
        events: never[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            disabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ghost: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            htmlType: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            icon: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            loading: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            shape: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            size: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            type: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            block: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
            required: boolean;
        }[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            dateCellRender: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            dateFullCellRender: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            defaultValue: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            disabledDate: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            fullscreen: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":locale": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            mode: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            monthCellRender: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            monthFullCellRender: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            validRange: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            "v-model": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            headerRender: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            valueFormat: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            params: string;
            description: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            actions: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            activeTabKey: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":headStyle": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":bodyStyle": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            bordered: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            cover: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            defaultActiveTabKey: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            extra: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            hoverable: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            loading: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            tabList: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            tabBarExtraContent: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            size: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            title: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            type: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        suggestions: string[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            afterChange: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            autoplay: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            beforeChange: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            dotPosition: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            dots: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            dotsClass: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            easing: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            effect: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        events: never[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            allowClear: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            autoFocus: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            changeOnSelect: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            defaultValue: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            disabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            displayRender: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            expandTrigger: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            ":fieldNames": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            getPopupContainer: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            loadData: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            notFoundContent: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":options": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            placeholder: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            popupClassName: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":popupStyle": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            popupPlacement: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            popupVisible: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            showSearch: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            size: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            ":suffixIcon": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            "v-model": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
                required: boolean;
            };
        };
        methods: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        typeDetail: {
            showSearch: ({
                name: string;
                description: string;
                type: string;
                default?: undefined;
            } | {
                name: string;
                description: string;
                type: string;
                default: string;
            })[];
        };
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            "v-model": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
                required: boolean;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            autoFocus: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            checked: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            defaultChecked: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            disabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            indeterminate: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            disabled: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            name: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":options": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
                required: boolean;
            };
            value: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
                required: boolean;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            "v-model": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            defaultActiveKey: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            bordered: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            accordion: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":expandIcon": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            expandIconPosition: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            destroyInactivePanel: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        suggestions: string[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            allowClear: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            autoFocus: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            dateRender: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            disabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":disabledDate": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":getCalendarContainer": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":locale": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            mode: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            open: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            placeholder: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":popupStyle": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            dropdownClassName: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            size: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            suffixIcon: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            inputReadOnly: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":align": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            valueFormat: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            closable: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            destroyOnClose: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            getContainer: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            maskClosable: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            mask: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":maskStyle": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            title: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            visible: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            wrapClassName: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":wrapStyle": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":drawerStyle": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":headerStyle": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":bodyStyle": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            width: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            height: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            zIndex: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            placement: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            handle: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":afterVisibleChange": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            keyboard: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        events: never[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            disabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            destroyPopupOnHide: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            getPopupContainer: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            "overlay(slot-scope)": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            overlayClassName: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":overlayStyle": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            placement: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            trigger: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            "v-model": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            disabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":icon": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            "overlay(slot-scope)": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            placement: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            size: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            trigger: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            type: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            "v-model": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            ":form": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            hideRequiredMark: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            labelAlign: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            layout: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            ":labelCol": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":wrapperCol": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            selfUpdate: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            colon: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        suggestions: string[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            ":model": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":rules": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            hideRequiredMark: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            labelAlign: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            layout: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            ":labelCol": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":wrapperCol": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            colon: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            validateOnRuleChange: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        suggestions: string[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            addonAfter: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            addonBefore: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            defaultValue: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            disabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            id: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":maxLength": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            prefix: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            size: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            suffix: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            type: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            "v-model": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            allowClear: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            autoFocus: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":defaultValue": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            disabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":formatter": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":max": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":min": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":parser": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":precision": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            decimalSeparator: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            size: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            step: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            "v-model": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            ":addonAfter": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":addonBefore": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            defaultValue: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            disabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            id: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":maxLength": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            prefix: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            size: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            suffix: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            type: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            "v-model": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            allowClear: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            enterButton: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            loading: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            breakpoint: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            class: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            "v-model": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":collapsedWidth": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            collapsible: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            defaultCollapsed: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            reverseArrow: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":style": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            theme: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            trigger: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            width: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":zeroWidthTriggerStyle": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            autoFocus: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            defaultValue: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":filterOption": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            notFoundContent: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            placement: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            prefix: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            split: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":validateSearch": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            "v-model": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":getPopupContainer": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        typeDetail: {
            Option: {
                name: string;
                description: string;
                type: string;
            }[];
        };
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            ":defaultOpenKeys": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":defaultSelectedKeys": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            forceSubMenuRender: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            inlineCollapsed: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":inlineIndent": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            mode: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            multiple: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":openKeys.sync": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            selectable: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            "v-model": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":subMenuCloseDelay": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":subMenuOpenDelay": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            theme: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            ":overflowedIndicator": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        suggestions: string[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            ":afterClose": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":bodyStyle": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            cancelText: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            centered: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            closable: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            closeIcon: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            confirmLoading: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            destroyOnClose: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            footer: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            forceRender: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":getContainer": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            keyboard: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            mask: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            maskClosable: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":maskStyle": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            okText: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            okType: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":okButtonProps": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":cancelButtonProps": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            title: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            "v-model": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            width: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            wrapClassName: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            zIndex: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":dialogStyle": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            dialogClass: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            title: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            subTitle: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ghost: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":avatar": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            backIcon: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":tags": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            extra: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":breadcrumb": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            footer: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            "v-model": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":defaultCurrent": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":defaultPageSize": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            disabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            hideOnSinglePage: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":itemRender": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":pageSize.sync": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":pageSizeOptions": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            showLessItems: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            showQuickJumper: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            showSizeChanger: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":showTotal": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            simple: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            size: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":total": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            cancelText: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            okText: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            okType: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            title: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            icon: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            disabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            autofocus: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            checked: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            defaultChecked: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            value: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
        };
        methods: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        events: never[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            defaultValue: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            disabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            name: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            options: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            size: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            "v-model": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            buttonStyle: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        suggestions: string[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            allowClear: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            autoFocus: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            dateRender: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            disabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            disabledDate: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            getCalendarContainer: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":locale": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            mode: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            open: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            placeholder: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":popupStyle": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            dropdownClassName: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            size: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            suffixIcon: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            inputReadOnly: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            align: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            valueFormat: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            defaultValue: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            defaultPickerValue: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            disabledTime: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            format: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ranges: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            renderExtraFooter: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            separator: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            showTime: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            "showTime.defaultValue": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            "v-model": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            allowClear: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            allowHalf: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            autoFocus: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            character: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":count": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":defaultValue": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            disabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            tooltips: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            "v-model": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            allowClear: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            autoClearSearchValue: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            autofocus: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            defaultActiveFirstOption: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            defaultValue: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            disabled: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            dropdownClassName: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            dropdownMatchSelectWidth: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":dropdownRender": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":dropdownStyle": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":dropdownMenuStyle": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":filterOption": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            firstActiveValue: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":getPopupContainer": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            labelInValue: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":maxTagCount": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            maxTagPlaceholder: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":maxTagTextLength": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            mode: {
                value: string[];
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            notFoundContent: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            optionFilterProp: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            optionLabelProp: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            placeholder: {
                value: string;
                description: string;
                default: string;
                type: string;
                required: boolean;
                description_zh: string;
            };
            showSearch: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            showArrow: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            size: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":suffixIcon": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":removeIcon": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":clearIcon": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":menuItemSelectedIcon": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            tokenSeparators: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            "v-model": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
                required: boolean;
            };
            ":options": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            defaultOpen: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            open: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
        };
        methods: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        typeDetail: {
            Option: ({
                name: string;
                description: string;
                type: string;
                default?: undefined;
            } | {
                name: string;
                description: string;
                type: string;
                default: string;
            })[];
            OptGroup: {
                name: string;
                description: string;
                type: string;
            }[];
        };
        suggestions: string[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            autofocus: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            defaultValue: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            disabled: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            dots: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            included: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":marks": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":max": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":min": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            range: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            reverse: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":step": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":tipFormatter": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            "v-model": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
                required: boolean;
            };
            vertical: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            tooltipPlacement: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            tooltipVisible: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":getTooltipPopupContainer": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
        };
        methods: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            format: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":prefix": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":suffix": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            title: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
                required: boolean;
            };
            value: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
                required: boolean;
            };
            ":valueStyle": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            autofocus: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            "v-model": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
                required: boolean;
            };
            checkedChildren: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            defaultChecked: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            disabled: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            loading: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            size: {
                value: string[];
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            unCheckedChildren: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
        };
        methods: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            tableLayout: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            bordered: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            childrenColumnName: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            columns: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":components": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            dataSource: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            defaultExpandAllRows: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            defaultExpandedRowKeys: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            expandedRowKeys: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            expandedRowRender: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            expandIcon: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            expandRowByClick: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":expandIconColumnIndex": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            footer: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":indentSize": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            loading: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":locale": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":pagination": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            rowClassName: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            rowKey: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":rowSelection": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            scroll: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            showHeader: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            size: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            title: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            customHeaderRow: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            customRow: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            getPopupContainer: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            transformCellText: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            align: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            ellipsis: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":colSpan": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            dataIndex: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            defaultFilteredValue: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            filterDropdown: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            filterDropdownVisible: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            filtered: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            filteredValue: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            filterIcon: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            filterMultiple: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":filters": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            fixed: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            key: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            customRender: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            sorter: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            sortOrder: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            sortDirections: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            title: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            width: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            customCell: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            customHeaderCell: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":slots": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":scopedSlots": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            "v-model": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            closable: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            color: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":afterClose": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            addon: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            allowClear: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            autoFocus: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            clearText: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":defaultOpenValue": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            defaultValue: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            disabled: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            disabledHours: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            disabledMinutes: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            disabledSeconds: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            format: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":getPopupContainer": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            hideDisabledOptions: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":hourStep": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            inputReadOnly: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":minuteStep": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            "open.sync": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            placeholder: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            popupClassName: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":popupStyle": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":secondStep": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":suffixIcon": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":clearIcon": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            use12Hours: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            "v-model": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
                required: boolean;
            };
            align: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            valueFormat: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
        };
        methods: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            title: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            arrowPointAtCenter: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            autoAdjustOverflow: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            defaultVisible: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":getPopupContainer": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":mouseEnterDelay": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":mouseLeaveDelay": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            overlayClassName: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":overlayStyle": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            placement: {
                value: string[];
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            trigger: {
                value: string[];
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            "v-model": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            destroyTooltipOnHide: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            align: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            ":dataSource": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
                required: boolean;
            };
            disabled: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":filterOption": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":footer": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            lazy: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":listStyle": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":locale": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":operations": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":render": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":selectedKeys": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
                required: boolean;
            };
            showSearch: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            showSelectAll: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":targetKeys": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
                required: boolean;
            };
            ":titles": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        typeDetail: {
            Render: {
                name: string;
                description: string;
                type: string;
            }[];
        };
        link: string;
        link_zh: string;
    } | {
        name: string;
        props: {
            accept: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":action": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            method: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            directory: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":beforeUpload": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":customRequest": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":data": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":defaultFileList": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            disabled: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":fileList": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
                required: boolean;
            };
            ":headers": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            listType: {
                value: string[];
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            multiple: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            name: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
                required: boolean;
            };
            ":previewFile": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":showUploadList": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            supportServerRender: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            withCredentials: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            openFileDialogOnClick: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            remove: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            transformFile: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        typeDetail: {
            UploadFile: {
                name: string;
                description: string;
                type: string;
            }[];
        };
        link: string;
        link_zh: string;
    })[];
    lib: string;
    prefix: string;
};
declare function antDesignVue1Components(isZh: boolean): {
    map: ((string | {
        name: string;
        props: {};
        methods: never[];
        events: never[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            breakpoint: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            class: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            "v-model": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":collapsedWidth": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            collapsible: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            defaultCollapsed: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            reverseArrow: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":style": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            theme: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            trigger: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            width: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":zeroWidthTriggerStyle": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            disabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ghost: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            htmlType: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            icon: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            loading: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            shape: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            size: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            type: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            block: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
            required: boolean;
        }[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            affix: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":bounds": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":getContainer": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":getCurrentAnchor": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":offsetBottom": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":offsetTop": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            showInkInFixed: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":targetOffset": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            wrapperClass: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":wrapperStyle": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
        };
        methods: never[];
        typeDetail: {
            AnchorItem: {
                name: string;
                description: string;
                type: string;
            }[];
        };
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            allowClear: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            autofocus: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            backfill: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            default: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            defaultActiveFirstOption: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            defaultOpen: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            disabled: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":dropdownMenuStyle": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":filterOption": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            open: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            placeholder: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            "v-model": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
                required: boolean;
            };
            ":optionLabelProp": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":defaultValue": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":dataSource": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
        };
        methods: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            autofocus: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            checked: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            defaultChecked: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            value: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
        };
        methods: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        events: never[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            defaultValue: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            disabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            name: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            options: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            size: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            "v-model": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            buttonStyle: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        suggestions: string[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            autoFocus: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            checked: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            defaultChecked: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            disabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            indeterminate: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            disabled: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            name: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":options": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
                required: boolean;
            };
            value: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
                required: boolean;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            addonAfter: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            addonBefore: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            defaultValue: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            disabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            id: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":maxLength": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            prefix: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            size: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            suffix: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            type: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            "v-model": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            allowClear: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            ":addonAfter": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":addonBefore": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            defaultValue: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            disabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            id: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":maxLength": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            prefix: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            size: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            suffix: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            type: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            "v-model": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            allowClear: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            enterButton: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            loading: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            autoFocus: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":defaultValue": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            disabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":formatter": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":max": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":min": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":parser": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":precision": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            decimalSeparator: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            size: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            step: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            "v-model": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            allowClear: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            autoClearSearchValue: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            autofocus: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            defaultActiveFirstOption: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            defaultValue: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            disabled: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            dropdownClassName: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            dropdownMatchSelectWidth: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":dropdownRender": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":dropdownStyle": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":dropdownMenuStyle": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":filterOption": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            firstActiveValue: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":getPopupContainer": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            labelInValue: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":maxTagCount": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            maxTagPlaceholder: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":maxTagTextLength": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            mode: {
                value: string[];
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            notFoundContent: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            optionFilterProp: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            optionLabelProp: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            placeholder: {
                value: string;
                description: string;
                default: string;
                type: string;
                required: boolean;
                description_zh: string;
            };
            showSearch: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            showArrow: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            size: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":suffixIcon": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":removeIcon": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":clearIcon": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":menuItemSelectedIcon": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            tokenSeparators: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            "v-model": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
                required: boolean;
            };
            ":options": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            defaultOpen: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            open: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
        };
        methods: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        typeDetail: {
            Option: ({
                name: string;
                description: string;
                type: string;
                default?: undefined;
            } | {
                name: string;
                description: string;
                type: string;
                default: string;
            })[];
            OptGroup: {
                name: string;
                description: string;
                type: string;
            }[];
        };
        suggestions: string[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            allowClear: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            autoFocus: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            changeOnSelect: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            defaultValue: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            disabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            displayRender: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            expandTrigger: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            ":fieldNames": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            getPopupContainer: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            loadData: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            notFoundContent: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":options": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            placeholder: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            popupClassName: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":popupStyle": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            popupPlacement: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            popupVisible: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            showSearch: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            size: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            ":suffixIcon": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            "v-model": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
                required: boolean;
            };
        };
        methods: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        typeDetail: {
            showSearch: ({
                name: string;
                description: string;
                type: string;
                default?: undefined;
            } | {
                name: string;
                description: string;
                type: string;
                default: string;
            })[];
        };
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            "v-model": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
                required: boolean;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            autofocus: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            "v-model": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
                required: boolean;
            };
            checkedChildren: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            defaultChecked: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            disabled: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            loading: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            size: {
                value: string[];
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            unCheckedChildren: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
        };
        methods: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            autofocus: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            defaultValue: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            disabled: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            dots: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            included: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":marks": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":max": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":min": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            range: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            reverse: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":step": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":tipFormatter": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            "v-model": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
                required: boolean;
            };
            vertical: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            tooltipPlacement: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            tooltipVisible: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":getTooltipPopupContainer": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
        };
        methods: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            addon: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            allowClear: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            autoFocus: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            clearText: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":defaultOpenValue": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            defaultValue: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            disabled: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            disabledHours: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            disabledMinutes: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            disabledSeconds: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            format: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":getPopupContainer": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            hideDisabledOptions: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":hourStep": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            inputReadOnly: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":minuteStep": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            "open.sync": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            placeholder: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            popupClassName: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":popupStyle": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":secondStep": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":suffixIcon": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":clearIcon": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            use12Hours: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            "v-model": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
                required: boolean;
            };
            align: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            valueFormat: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
        };
        methods: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            allowClear: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            autoFocus: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            dateRender: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            disabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            disabledDate: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            getCalendarContainer: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":locale": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            mode: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            open: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            placeholder: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":popupStyle": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            dropdownClassName: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            size: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            suffixIcon: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            inputReadOnly: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            align: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            valueFormat: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            defaultValue: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            defaultPickerValue: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            disabledTime: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            format: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ranges: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            renderExtraFooter: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            separator: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            showTime: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            "showTime.defaultValue": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            "v-model": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            allowClear: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            autoFocus: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            dateRender: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            disabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":disabledDate": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":getCalendarContainer": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":locale": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            mode: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            open: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            placeholder: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":popupStyle": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            dropdownClassName: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            size: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            suffixIcon: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            inputReadOnly: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":align": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            valueFormat: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            accept: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":action": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            method: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            directory: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":beforeUpload": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":customRequest": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":data": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":defaultFileList": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            disabled: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":fileList": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
                required: boolean;
            };
            ":headers": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            listType: {
                value: string[];
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            multiple: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            name: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
                required: boolean;
            };
            ":previewFile": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":showUploadList": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            supportServerRender: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            withCredentials: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            openFileDialogOnClick: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            remove: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            transformFile: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        typeDetail: {
            UploadFile: {
                name: string;
                description: string;
                type: string;
            }[];
        };
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            allowClear: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            allowHalf: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            autoFocus: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            character: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":count": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":defaultValue": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            disabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            tooltips: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            "v-model": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            ":offsetBottom": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":offsetTop": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":target": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            ":target": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":visibilityHeight": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            ":dataSource": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
                required: boolean;
            };
            disabled: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":filterOption": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":footer": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            lazy: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":listStyle": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":locale": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":operations": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":render": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":selectedKeys": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
                required: boolean;
            };
            showSearch: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            showSelectAll: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":targetKeys": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
                required: boolean;
            };
            ":titles": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        typeDetail: {
            Render: {
                name: string;
                description: string;
                type: string;
            }[];
        };
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            ":form": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            hideRequiredMark: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            labelAlign: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            layout: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            ":labelCol": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":wrapperCol": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            selfUpdate: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            colon: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        suggestions: string[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            ":model": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":rules": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            hideRequiredMark: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            labelAlign: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            layout: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            ":labelCol": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":wrapperCol": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            colon: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            validateOnRuleChange: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        suggestions: string[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            tableLayout: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            bordered: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            childrenColumnName: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            columns: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":components": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            dataSource: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            defaultExpandAllRows: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            defaultExpandedRowKeys: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            expandedRowKeys: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            expandedRowRender: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            expandIcon: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            expandRowByClick: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":expandIconColumnIndex": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            footer: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":indentSize": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            loading: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":locale": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":pagination": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            rowClassName: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            rowKey: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":rowSelection": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            scroll: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            showHeader: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            size: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            title: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            customHeaderRow: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            customRow: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            getPopupContainer: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            transformCellText: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            align: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            ellipsis: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":colSpan": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            dataIndex: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            defaultFilteredValue: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            filterDropdown: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            filterDropdownVisible: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            filtered: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            filteredValue: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            filterIcon: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            filterMultiple: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":filters": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            fixed: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            key: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            customRender: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            sorter: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            sortOrder: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            sortDirections: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            title: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            width: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            customCell: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            customHeaderCell: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":slots": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":scopedSlots": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            "v-model": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            closable: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            color: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":afterClose": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            allowClear: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            defaultValue: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            disabled: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            dropdownClassName: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            dropdownMatchSelectWidth: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            dropdownStyle: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            filterTreeNode: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            getPopupContainer: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            labelInValue: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            loadData: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            maxTagCount: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            maxTagPlaceholder: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            multiple: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            placeholder: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            searchPlaceholder: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            "searchValue.sync": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            treeIcon: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            showCheckedStrategy: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            showSearch: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            size: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            suffixIcon: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            treeCheckable: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            treeCheckStrictly: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            treeData: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            replaceFields: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            treeDataSimpleMode: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            treeDefaultExpandAll: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            treeDefaultExpandedKeys: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            "treeExpandedKeys.sync": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            treeNodeFilterProp: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            treeNodeLabelProp: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            "v-model": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
        };
        methods: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        typeDetail: {
            TreeNode: ({
                name: string;
                description: string;
                type: string;
                default?: undefined;
            } | {
                name: string;
                description: string;
                type: string;
                default: string;
            })[];
        };
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            "v-model": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":defaultCurrent": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":defaultPageSize": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            disabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            hideOnSinglePage: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":itemRender": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":pageSize.sync": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":pageSizeOptions": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            showLessItems: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            showQuickJumper: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            showSizeChanger: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":showTotal": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            simple: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            size: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":total": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            format: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":prefix": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":suffix": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            title: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
                required: boolean;
            };
            value: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
                required: boolean;
            };
            ":valueStyle": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            ":afterClose": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            banner: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            closable: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":closeText": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":description": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":icon": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":message": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            showIcon: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            type: {
                value: string[];
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            ":defaultOpenKeys": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":defaultSelectedKeys": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            forceSubMenuRender: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            inlineCollapsed: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":inlineIndent": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            mode: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            multiple: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":openKeys.sync": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            selectable: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            "v-model": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":subMenuCloseDelay": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":subMenuOpenDelay": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            theme: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            ":overflowedIndicator": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        suggestions: string[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            itemRender: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":params": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            routes: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            separator: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        suggestions: string[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            href: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":overlay": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            title: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            subTitle: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ghost: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":avatar": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            backIcon: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":tags": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            extra: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":breadcrumb": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            footer: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            disabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            destroyPopupOnHide: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            getPopupContainer: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            "overlay(slot-scope)": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            overlayClassName: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":overlayStyle": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            placement: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            trigger: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            "v-model": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            disabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":icon": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            "overlay(slot-scope)": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            placement: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            size: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            trigger: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            type: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            "v-model": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            title: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            arrowPointAtCenter: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            autoAdjustOverflow: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            defaultVisible: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":getPopupContainer": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":mouseEnterDelay": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":mouseLeaveDelay": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            overlayClassName: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            ":overlayStyle": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            placement: {
                value: string[];
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            trigger: {
                value: string[];
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            "v-model": {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            destroyTooltipOnHide: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
            align: {
                value: string;
                description: string;
                default: string;
                type: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            cancelText: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            okText: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            okType: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            title: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            icon: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            disabled: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            actions: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            activeTabKey: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":headStyle": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":bodyStyle": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            bordered: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            cover: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            defaultActiveTabKey: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            extra: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            hoverable: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            loading: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            tabList: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            tabBarExtraContent: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            size: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            title: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            type: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        suggestions: string[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            afterChange: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            autoplay: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            beforeChange: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            dotPosition: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            dots: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            dotsClass: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            easing: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            effect: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        events: never[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            "v-model": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            defaultActiveKey: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            bordered: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            accordion: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":expandIcon": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            expandIconPosition: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            destroyInactivePanel: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        suggestions: string[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            dateCellRender: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            dateFullCellRender: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            defaultValue: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            disabledDate: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            fullscreen: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":locale": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            mode: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            monthCellRender: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            monthFullCellRender: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            validRange: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            "v-model": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            headerRender: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            valueFormat: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            params: string;
            description: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            closable: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            destroyOnClose: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            getContainer: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            maskClosable: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            mask: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":maskStyle": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            title: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            visible: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            wrapClassName: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":wrapStyle": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":drawerStyle": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":headerStyle": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":bodyStyle": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            width: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            height: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            zIndex: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            placement: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            handle: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":afterVisibleChange": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            keyboard: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
        }[];
        events: never[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            ":afterClose": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":bodyStyle": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            cancelText: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            centered: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            closable: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            closeIcon: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            confirmLoading: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            destroyOnClose: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            footer: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            forceRender: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":getContainer": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            keyboard: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            mask: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            maskClosable: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":maskStyle": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            okText: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            okType: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":okButtonProps": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":cancelButtonProps": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            title: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            "v-model": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            width: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            wrapClassName: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            zIndex: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":dialogStyle": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            dialogClass: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: never[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        link: string;
        link_zh: string;
    })[] | (string | {
        name: string;
        props: {
            autoFocus: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            defaultValue: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":filterOption": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            notFoundContent: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            placement: {
                default: string;
                value: string[];
                type: string;
                description: string;
                description_zh: string;
            };
            prefix: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            split: {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":validateSearch": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            "v-model": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
            ":getPopupContainer": {
                default: string;
                value: string;
                type: string;
                description: string;
                description_zh: string;
            };
        };
        methods: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        events: {
            name: string;
            description: string;
            params: string;
            description_zh: string;
        }[];
        typeDetail: {
            Option: {
                name: string;
                description: string;
                type: string;
            }[];
        };
        link: string;
        link_zh: string;
    })[])[];
    isSeperatorByHyphen: boolean;
    prefix: string;
    lib: string;
    isReact: boolean;
};

export { antDesignVue1, antDesignVue1Components };
